# vim: set sw=4 ts=4 et:
#
# spec file for package ncdu
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ncdu
Version:        1.10
Release:        9.5
Summary:        NCurses Disk Usage
License:        MIT
Group:          System/Filesystems
Url:            http://dev.yorhel.nl/ncdu/
Source0:        http://dev.yorhel.nl/download/ncdu-%{version}.tar.gz
Source1:        http://dev.yorhel.nl/download/ncdu-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ncdu (NCurses Disk Usage) is a curses-based version of
the well-known 'du', and provides a fast way to see what
directories are using your disk space.

%prep
%setup -q

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,0755)
%doc ChangeLog README COPYING
%doc %{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%changelog
* Sat Aug 31 2013 lazy.kent@opensuse.org
- Update to 1.10.
  * Added 'c' key to display item counts.
  * Added 'C' key to order by item counts.
  * Added CACHEDIR.TAG support and --exclude-caches option.
  * Use locale-dependent thousand separator.
  * Clip file/dir sizes to 8 EiB minus one byte.
  * Fix buffer overflow when formatting huge file sizes.
- Verify GPG signature.
* Thu Oct 18 2012 pascal.bleser@opensuse.org
- update to 1.9:
  * added option to dump scanned directory information to a file (-o)
  * added option to load scanned directory information from a file (-f)
  * added multiple scan and load interfaces (-0,-1,-2)
  * fit loading and error windows to the terminal width (#13)
  * fix symlink resolving bug (#18)
  * fix path display when scanning an empty directory (#15)
  * fix hang when terminal is resized to a too small size while loading
* Thu Nov  3 2011 pascal.bleser@opensuse.org
- moved from Packman/Extra to utilities on build.o.o
* Thu Nov  3 2011 pascal.bleser@opensuse.org
- update to 1.8:
  * use hash table to speed up hard link detection
  * added read-only option (-r)
  * use KiB instead of kiB (sf#3399279)
* Fri Aug 13 2010 toni@links2linux.de
- update to 1.7
- This release has improved handling of hard links, a more intuitive
  multi-page browser, and various performance improvements and bugfixes.
* Fri Oct 23 2009 toni@links2linux.de
- update to 1.6
- This release adds hard link detection, VIM keybindings, improved support for
  non-ASCII characters in filenames, and fixes for several bugs.
* Sun May  3 2009 toni@links2linux.de
- update to 1.5
* Mon Dec 17 2007 marekstopka@gmail.com
- new package created
